﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data.OleDb;

namespace Estacionamento_BD
{
    class Program
    {

        public static class Access
        {
            public static OleDbConnection AbrirConexao()
            {
                return new OleDbConnection(@"Provider=Microsoft.Jet.OleDb.4.0;Data Source=D:\sergio\Estacionamento.mdb");                      
            }
        }

        public class Estacionamento
        {
            private string placa_veiculo { get; set; }
            private string marca_veiculo { get; set; }
            private string modelo_veiculo { get; set; }
            private string tipo_veiculo { get; set; }
            private int hora_entrada { get; set; }
            private int minuto_entrada { get; set; }
            private int hora_saida { get; set; }
            private int minuto_saida { get; set; }

            public void ZerarVaga(int qualvaga)
            {
                OleDbConnection cnn = Access.AbrirConexao();
                OleDbCommand cmd = new OleDbCommand();
                cmd.Connection = cnn;
                cmd.CommandText = "Update vagas set hora_entrada=-1,hora_saida=-1,minuto_entrada=-1,minuto_saida=-1 where numero_vaga=" + qualvaga;
                try
                {
                    cnn.Open();
                    cmd.ExecuteNonQuery();
                    cnn.Close();
                }
                catch (OleDbException e)
                {
                    Console.WriteLine("Erro: {0}", e.Errors[0].Message);
                }
            }

            public void PreencherDadosVeiculo()
            {
                int opc;
                Console.Write("Informe a placa do veículo: ");
                this.placa_veiculo = Console.ReadLine();
                Console.Write("Informe a marca do veículo: ");
                this.marca_veiculo = Console.ReadLine();
                Console.Write("Informe o modelo do veículo: ");
                this.modelo_veiculo = Console.ReadLine();
                Console.Write("Escolha:\n1 - Veículo de Passeio\n2 - Veículo Utilitário\n3 - Ônibus\n4 - Caminhão\nQual opção? ");
                do
                {
                    opc = Convert.ToInt32(Console.ReadLine());
                    if (opc < 1 || opc > 4)
                        Console.Write("Escolha:\n1 - Veículo de Passeio\n2 - Veículo Utilitário\n3 - Ônibus\n4 - Caminhão\nQual opção? ");
                    else
                    {
                        if (opc == 1)
                            this.tipo_veiculo = "passeio";
                        if (opc == 2)
                            this.tipo_veiculo = "utilitario";
                        if (opc == 3)
                            this.tipo_veiculo = "onibus";
                        if (opc == 4)
                            this.tipo_veiculo = "caminhao";
                     }
                } while(opc < 1 || opc > 4);
            }
        }
            
        static void Main()
        {
            Estacionamento meu = new Estacionamento();
            meu.PreencherDadosVeiculo();
            Console.ReadKey();
        }
    }
}
